Get Children

Get Children
Get children of node

List children of provided node-id and tree-type

Request
URI
GET
https://{api_host}/api/ni/inventory-trees/{tree-type}/{node-id}/children
COPY
Path Parameters
string
tree-type
Required

Tree-type value from /inventory-trees API response.

tree-type example
HOSTS_CLUSTERS
string
node-id
Required

Node Identifier

Query Parameters
string
cursor
Optional

Cursor for the next page

integer
size
Optional

Page size of results


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns InventoryTreeNodeList of type(s) application/json
{
    "children": [
        {
            "name": "HOSTS_CLUSTER",
            "node_id": "string",
            "node_type": "string",
            "vm_property": "string",
            "children_count": 0
        }
    ],
    "total_count": 0,
    "cursor": "MTA="
}
array of object
children
Optional

children

integer As int32 As int32
total_count
Optional

total_count

string
cursor
Optional

Cursor for the next page


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/inventory-trees/{tree-type}/{node-id}/children